Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(198)

Issue 2892093003: Don't trigger Phishguard pings if we cannot compute URL reputation. (Closed)

Created:
6 months, 4 weeks ago by Jialiu Lin
Modified:
6 months, 3 weeks ago
CC:
chromium-reviews, vabr+watchlistpasswordmanager_chromium.org, grt+watch_chromium.org, timvolodine, asvitkine+watch_chromium.org, gcasto+watchlist_chromium.org, vakh+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Don't trigger Phishguard pings if we cannot compute URL reputation. e.g.: private URL/IP addresses, hostname/IP in an IANA-reserved range, hostname is a not-yet-assigned by ICANN gTLD, dotless domains Also minor refactor in PasswordProtectionService and PasswordProtectionService to pass in web_contents in preparation for showing interstitial. BUG=722881 Review-Url: https://codereview.chromium.org/2892093003 Cr-Commit-Position: refs/heads/master@{#474005} Committed: https://chromium.googlesource.com/chromium/src/+/8634cdd25aefa688d90bc1b14106d2a79ece395a

Patch Set 1 #

Patch Set 2 : small refactor #

Patch Set 3 : nit #

Total comments: 2

Patch Set 4 : update comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+125 lines, -83 lines) Patch
M chrome/browser/password_manager/chrome_password_manager_client.cc View 2 chunks +4 lines, -8 lines 0 comments Download
M chrome/browser/password_manager/chrome_password_manager_client_unittest.cc View 3 chunks +6 lines, -6 lines 0 comments Download
M components/safe_browsing/password_protection/password_protection_request.h View 1 2 3 3 chunks +5 lines, -5 lines 0 comments Download
M components/safe_browsing/password_protection/password_protection_request.cc View 1 3 chunks +6 lines, -6 lines 0 comments Download
M components/safe_browsing/password_protection/password_protection_service.h View 1 2 4 chunks +26 lines, -3 lines 0 comments Download
M components/safe_browsing/password_protection/password_protection_service.cc View 1 7 chunks +36 lines, -29 lines 0 comments Download
M components/safe_browsing/password_protection/password_protection_service_unittest.cc View 4 chunks +41 lines, -26 lines 0 comments Download
M tools/metrics/histograms/enums.xml View 1 chunk +1 line, -0 lines 0 comments Download
Trybot results:  linux_chromium_chromeos_ozone_rel_ng   win_clang   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   ios-device-xcode-clang   ios-simulator   ios-simulator-xcode-clang   ios-device   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_compile_dbg   android_clang_dbg_recipe   android_cronet   android_arm64_dbg_recipe   win_chromium_x64_rel_ng   chromium_presubmit   chromium_presubmit   chromium_presubmit   linux_chromium_chromeos_ozone_rel_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_clang   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_compile_dbg_ng   chromium_presubmit   cast_shell_linux   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   android_n5x_swarming_rel   cast_shell_android   android_compile_dbg   android_clang_dbg_recipe   android_cronet   android_arm64_dbg_recipe 

Messages

Total messages: 30 (19 generated)
Jialiu Lin
Hi nparker@, PTAL Thanks!
6 months, 4 weeks ago (2017-05-19 20:33:10 UTC) #9
Nathan Parker
LGTM https://codereview.chromium.org/2892093003/diff/40001/components/safe_browsing/password_protection/password_protection_request.h File components/safe_browsing/password_protection/password_protection_request.h (right): https://codereview.chromium.org/2892093003/diff/40001/components/safe_browsing/password_protection/password_protection_request.h#newcode107 components/safe_browsing/password_protection/password_protection_request.h:107: // WebContents this login form is in. nit: ...
6 months, 4 weeks ago (2017-05-20 00:40:06 UTC) #10
Jialiu Lin
Thanks nparker@! https://codereview.chromium.org/2892093003/diff/40001/components/safe_browsing/password_protection/password_protection_request.h File components/safe_browsing/password_protection/password_protection_request.h (right): https://codereview.chromium.org/2892093003/diff/40001/components/safe_browsing/password_protection/password_protection_request.h#newcode107 components/safe_browsing/password_protection/password_protection_request.h:107: // WebContents this login form is in. ...
6 months, 3 weeks ago (2017-05-22 18:35:47 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2892093003/60001
6 months, 3 weeks ago (2017-05-22 18:36:38 UTC) #17
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/443980)
6 months, 3 weeks ago (2017-05-22 18:48:39 UTC) #19
Jialiu Lin
+dvadym@ for password_manager owner review.
6 months, 3 weeks ago (2017-05-22 18:56:13 UTC) #21
dvadym
On 2017/05/22 18:56:13, Jialiu Lin wrote: > +dvadym@ for password_manager owner review. LGTM
6 months, 3 weeks ago (2017-05-23 09:51:09 UTC) #22
Jialiu Lin
+isherman@ for minor change to enums.xml Thanks!
6 months, 3 weeks ago (2017-05-23 16:18:58 UTC) #24
Ilya Sherman
On 2017/05/23 16:18:58, Jialiu Lin wrote: > +isherman@ for minor change to enums.xml You don't ...
6 months, 3 weeks ago (2017-05-23 16:22:49 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2892093003/60001
6 months, 3 weeks ago (2017-05-23 17:43:51 UTC) #27
commit-bot: I haz the power
6 months, 3 weeks ago (2017-05-23 18:58:42 UTC) #30
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/8634cdd25aefa688d90bc1b14106...

Powered by Google App Engine
This is Rietveld 0eb02b776